Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmp
Class PKIStatusInfo

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.cmp.PKIStatusInfo

All Implemented Interfaces:
  DEREncodable

public class PKIStatusInfo
extends ASN1Encodable

Constructor Summary
`PKIStatusInfo(ASN1Sequence seq)`
`PKIStatusInfo(int status)`
`PKIStatusInfo(int status, PKIFreeText statusString)`

Method Summary
`DERBitString` | `getFailInfo()`
`static PKIStatusInfo` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static PKIStatusInfo` | `getInstance(java.lang.Object obj)`
`java.math.BigInteger` | `getStatus()`
`PKIFreeText` | `getStatusString()`
`DERObject` | `toASN1Object()` PKIStatusInfo ::= SEQUENCE { status PKIStatus, (INTEGER) statusString PKIFreeText OPTIONAL, failInfo PKIFailureInfo OPTIONAL (BIT STRING) } PKIStatus: granted (0), -- you got exactly what you asked for grantedWithMods (1), -- you got something like what you asked for rejection (2), -- you don't get it, more information elsewhere in the message waiting (3), -- the request body part has not yet been processed, expect to hear more later revocationWarning (4), -- this message contains a warning that a revocation is imminent revocationNotification (5), -- notification that a revocation has occurred keyUpdateWarning (6) -- update already done for the oldCertId specified in CertReqMsg PKIFailureInfo: badAlg (0), -- unrecognized or unsupported Algorithm Identifier badMessageCheck (1), -- integrity check failed (e.g., signature did not verify) badRequest (2), -- transaction not permitted or supported badTime (3), -- messageTime was not sufficiently close to the system time, as defined by local policy badCertId (4), -- no certificate could be found matching the provided criteria badDataFormat (5), -- the data submitted has the wrong format wrongAuthority (6), -- the authority indicated in the request is different from the one creating the response token incorrectData (7), -- the requester's data is incorrect (for notary services) missingTimeStamp (8), -- when the timestamp is missing but should be there (by policy) badPOP (9) -- the proof-of-possession failed

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PKIStatusInfo

    public PKIStatusInfo(ASN1Sequence seq)

### PKIStatusInfo

    public PKIStatusInfo(int status)

  Parameters:
    `status` -

### PKIStatusInfo

    public PKIStatusInfo(int status,
                         PKIFreeText statusString)

  Parameters:
    `status` -
    `statusString` -

Method Detail

### getInstance

    public static PKIStatusInfo getInstance(ASN1TaggedObject obj,
                                            boolean explicit)

### getInstance

    public static PKIStatusInfo getInstance(java.lang.Object obj)

### getStatus

    public java.math.BigInteger getStatus()

### getStatusString

    public PKIFreeText getStatusString()

### getFailInfo

    public DERBitString getFailInfo()

### toASN1Object

    public DERObject toASN1Object()

       PKIStatusInfo ::= SEQUENCE {
           status        PKIStatus,                (INTEGER)
           statusString  PKIFreeText     OPTIONAL,
           failInfo      PKIFailureInfo  OPTIONAL  (BIT STRING)
       }

       PKIStatus:
         granted                (0), -- you got exactly what you asked for
         grantedWithMods        (1), -- you got something like what you asked for
         rejection              (2), -- you don't get it, more information elsewhere in the message
         waiting                (3), -- the request body part has not yet been processed, expect to hear more later
         revocationWarning      (4), -- this message contains a warning that a revocation is imminent
         revocationNotification (5), -- notification that a revocation has occurred
         keyUpdateWarning       (6)  -- update already done for the oldCertId specified in CertReqMsg

       PKIFailureInfo:
         badAlg           (0), -- unrecognized or unsupported Algorithm Identifier
         badMessageCheck  (1), -- integrity check failed (e.g., signature did not verify)
         badRequest       (2), -- transaction not permitted or supported
         badTime          (3), -- messageTime was not sufficiently close to the system time, as defined by local policy
         badCertId        (4), -- no certificate could be found matching the provided criteria
         badDataFormat    (5), -- the data submitted has the wrong format
         wrongAuthority   (6), -- the authority indicated in the request is different from the one creating the response token
         incorrectData    (7), -- the requester's data is incorrect (for notary services)
         missingTimeStamp (8), -- when the timestamp is missing but should be there (by policy)
         badPOP           (9)  -- the proof-of-possession failed

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD